<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login Page</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="styles.css">
</head>

<body>
    <div class="container">
        <div class="login-form">
            <h2>Login</h2>
            <form id="loginForm">
                <div class="form-group text-left">
                    <label for="username">Username</label>
                    <input type="text" class="form-control" id="username" name="username" required>
                </div>
                <div class="form-group text-left">
                    <label for="password">Password</label>
                    <input type="password" class="form-control" id="password" name="password" required>
                </div>
                <button type="submit" class="btn btn-primary">Login</button>
            </form>
            <div class="text-center mt-3">
                Bạn chưa có tài khoản? <a href="register.html">Register</a>
            </div>
        </div>
    </div>



    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#loginForm').on('submit', function (event) {
                event.preventDefault();

                var username = $('#username').val();
                var password = $('#password').val();
                var userData = {
                    username: username,
                    password: password
                };

                debugger
                $.ajax({
                    url: 'http://localhost:8080/login',
                    method: 'POST',
                    contentType: 'application/json',
                    data: JSON.stringify(userData),
                    success: function (response) {
                        console.log(response);
                        alert('Đăng nhập thành công.');
                    },
                    error: function (xhr, status, error) {
                        console.error(error);
                        alert('Đăng nhập thất bại. Xin hãy thử lại');
                    }
                });
            });
        });
    </script>
</body>

</html>